#!/bin/sh
appname=`basename $0`.app
dirname=`dirname $0`

tmp="${dirname#?}"
if [ "${dirname}" = "." ]; then
dirname=$PWD
elif [ "${dirname%$tmp}" != "/" ]; then
dirname=$PWD/$dirname
fi

echo "Installing menu icons..." 

APPS=$HOME/.local/share/applications
if [ ! -d $APPS ]; then
APPS=$HOME/.gnome2/vfolders/applications
if [ ! -d $APPS ]; then
APPS=
fi
fi

DESKTOP=$HOME/Desktop
if [ ! -d $DESKTOP ]; then
DESKTOP=
fi

for f in $dirname/desktop/*.desktop
do
    fn=`basename $f`
    if [ "${APPS}" != "" ]; then
        cat $f | sed -e "s|INSTDIR|$dirname|g" > $APPS/$fn
    fi
    if [ "${DESKTOP}" != "" ]; then
        cat $f | sed -e "s|INSTDIR|$dirname|g" > $DESKTOP/$fn
    fi
done

if [ "${APPS}" != "" ]; then
    echo "Menu icons have been installed to ${APPS}"
fi
if [ "${DESKTOP}" != "" ]; then
    echo "Desktop icons have been installed to ${DESKTOP}"
    echo "Desktop shortcuts are not supported by all desktop environments or may need tweaking"
fi

